> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synthetic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Identify the caller

> Returns the entity the credential belongs to and the permissions it holds. Use it to confirm an API key works.



## OpenAPI

````yaml https://app.synthetic.ai/api/v1/openapi.json get /me
openapi: 3.1.0
info:
  title: Synthetic API
  description: Read access to your Synthetic data.
  version: 0.1.0
servers:
  - url: https://app.synthetic.ai/api/v1
security: []
paths:
  /me:
    get:
      tags:
        - System
      summary: Identify the caller
      description: >-
        Returns the entity the credential belongs to and the permissions it
        holds. Use it to confirm an API key works.
      operationId: me-get
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  entity:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      workosOrgId:
                        type: string
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      startDate:
                        anyOf:
                          - type: string
                          - type: 'null'
                      incorporationType:
                        anyOf:
                          - type: string
                            enum:
                              - LLC
                              - S_CORP
                              - C_CORP
                              - SOLE_PROPRIETOR
                              - PARTNERSHIP
                              - NON_PROFIT
                          - type: 'null'
                      streetAddress1:
                        anyOf:
                          - type: string
                          - type: 'null'
                      streetAddress2:
                        anyOf:
                          - type: string
                          - type: 'null'
                      city:
                        anyOf:
                          - type: string
                          - type: 'null'
                      state:
                        anyOf:
                          - type: string
                          - type: 'null'
                      postalCode:
                        anyOf:
                          - type: string
                          - type: 'null'
                      country:
                        anyOf:
                          - type: string
                          - type: 'null'
                      primaryEmail:
                        anyOf:
                          - type: string
                          - type: 'null'
                      primaryPhone:
                        anyOf:
                          - type: string
                          - type: 'null'
                      billingMode:
                        type: string
                        enum:
                          - SETUP
                          - ACTIVE
                      timezone:
                        type: string
                      createdAt:
                        type: string
                    required:
                      - id
                      - workosOrgId
                      - name
                      - description
                      - startDate
                      - incorporationType
                      - streetAddress1
                      - streetAddress2
                      - city
                      - state
                      - postalCode
                      - country
                      - primaryEmail
                      - primaryPhone
                      - billingMode
                      - timezone
                      - createdAt
                    additionalProperties: false
                  authorizationClaims:
                    type: array
                    items:
                      type: string
                      enum:
                        - payments:read
                required:
                  - entity
                  - authorizationClaims
                additionalProperties: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '500':
          description: An unexpected error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BearerAuth: []
components:
  schemas:
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Unauthorized
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Unauthorized error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Unauthorized
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: An unexpected error occurred.
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: An unexpected error occurred. error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: An unexpected error occurred.
        issues: []
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'An API key created in Settings, sent as `Authorization: Bearer <key>`.'

````